> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a blog comment by ID

> Get a specific comment by ID.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v3/blog-comments-v3.json GET /comments/v3/comments/{comment_id}
openapi: 3.0.1
info:
  title: Blog Comments API - V3
  version: v3
  description: >-
    Use the Blog Comments API to create and manage blog comments, including
    restoring deleted comments.
  x-hubspot-api-use-case: >-
    You want to build a system for automating the moderation of comments left on
    your company's blog.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Blog Comments
paths:
  /comments/v3/comments/{comment_id}:
    get:
      tags:
        - Blog Comments
      summary: Get a blog comment by ID
      description: Get a specific comment by ID.
      operationId: get-comments-v3-comments-comment_id
      parameters:
        - name: comment_id
          in: path
          required: true
          description: Unique identifier for a particular comment.
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Blog comment details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Comment'
              example:
                id: 409695529
                portalId: 62515
                contentId: 6860971618
                contentTitle: Test Blog
                contentPermalink: http://demo-hubapi.hs-sites.com/tb-es/test-blog
                collectionId: 6513512292
                createdAt: 1550182973778
                deletedAt: 0
                userName: test testerson
                firstName: test testerson
                lastName: ''
                userEmail: test@gmail.com
                comment: sample test comment
                userUrl: ''
                state: APPROVED
                userIp: 2601:19b:b00:5fd8:d5de:a9f0:e503:162c
                userReferrer: ''
                userAgent: >-
                  Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_3)
                  AppleWebKit/537.36 (KHTML, like Gecko) Chrome/71.0.3578.98
                  Safari/537.36
                contentAuthorEmail: testapi@hubspot.com
                contentAuthorName: Test 2
                contentCreatedAt: 1545651277462
                threadId: 0001.0000.0000.0000.0000.0000.0000.0000.0000.0000
                replyingTo: null
                parentId: 0
                legacyId: 0
                extraContext: {}
                parent: null
        default:
          $ref: '#/components/responses/Error'
      security:
        - oauth2:
            - content
        - private_apps: []
components:
  schemas:
    Comment:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: The unique id of the comment
        portalId:
          type: integer
          format: int64
        contentId:
          type: integer
          format: int64
          description: The id of the parent blog post
        contentTitle:
          type: string
        contentPermalink:
          type: string
        collectionId:
          type: integer
          format: int64
        createdAt:
          type: integer
          format: int64
          description: Unix timestamp when the comment was made
        deletedAt:
          type: integer
          format: int64
        userName:
          type: string
          description: The name of the person submitting the comment
        firstName:
          type: string
        lastName:
          type: string
        userEmail:
          type: string
          description: The email address of the user submitting the comment
        userReferrer:
          type: string
          description: The URL the comment was submitted from
        userIp:
          type: string
          description: The IP address of the person submitting the comment
        userAgent:
          type: string
          description: The user agent of the commenter's browser
        userWebsite:
          type: string
          description: The web site of the user submitting the comment
        userUrl:
          type: string
        comment:
          type: string
          description: The full text of the comment
        state:
          type: string
          description: State of the comment; approved, rejected, etc.
        contentAuthorEmail:
          type: string
        contentAuthorName:
          type: string
        contentCreatedAt:
          type: integer
          format: int64
        threadId:
          type: string
        replyingTo:
          type: string
          nullable: true
        parentId:
          type: integer
          format: int64
        legacyId:
          type: integer
          format: int64
        extraContext:
          type: object
          nullable: true
        parent:
          type: object
          nullable: true
  responses:
    Error:
      description: An error occurred.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
              message:
                type: string

````